Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp
Class WSRPRewritingConstants

    java.lang.Object
      org.jboss.portal.wsrp.WSRPRewritingConstants

    public final class WSRPRewritingConstants

extends java.lang.Object

This class provides constants used in the context of URL rewriting.

Since:
  2.4
Version:
  $Revision: 8784 $
Author:
  Chris Laprun

Field Summary
`static java.lang.String` | `BEGIN_WSRP_REWRITE` 10.2.1
`static java.lang.String` | `END_WSRP_REWRITE` 10.2.1
`static java.lang.String` | `FAKE_RESOURCE_REQ_REW`
`static java.lang.String` | `FAKE_RESOURCE_START`
`static java.lang.String` | `FAKE_RESOURCE_URL`
`static java.lang.String` | `FRAGMENT_ID` 10.2.1.6 wsrp-fragmentID
`static java.lang.String` | `INTERACTION_STATE` 10.2.1.3 wsrp-interactionState
`static java.lang.String` | `MODE` 10.2.1.4 wsrp-mode
`static java.lang.String` | `NAVIGATIONAL_STATE` 10.2.1.2 wsrp-navigationalState
`static java.lang.String` | `RESOURCE_REQUIRES_REWRITE` 10.2.1.1.3.2 wsrp-requiresRewrite
`static java.lang.String` | `RESOURCE_URL` 10.2.1.1.3.1 wsrp-url
`static java.lang.String` | `REWRITE_PARAMETER_CLOSE` Closing token for URL parameters.
`static java.lang.String` | `REWRITE_PARAMETER_OPEN` Opening token for URL parameters.
`static java.lang.String` | `SECURE_URL` 10.2.1.7 wsrp-secureURL
`static java.lang.String` | `URL_TYPE_BLOCKING_ACTION` 10.2.1.1.1 wsrp-urlType = blockingAction
`static java.lang.String` | `URL_TYPE_NAME` 10.2.1.1 wsrp-urlType
`static java.lang.String` | `URL_TYPE_RENDER` 10.2.1.1.2 wsrp-urlType = render
`static java.lang.String` | `URL_TYPE_RESOURCE` 10.2.1.1.3 wsrp-urlType = resource
`static java.lang.String` | `WINDOW_STATE` 10.2.1.5 wsrp-windowState
`static int` | `WSRP_REWRITE_PREFIX_LENGTH`
`static int` | `WSRP_REWRITE_SUFFIX_LENGTH`
`static java.lang.String` | `WSRP_REWRITE_TOKEN` 10.3.1 Consumer Rewriting (Namespace encoding)

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEGIN_WSRP_REWRITE

    public static final java.lang.String BEGIN_WSRP_REWRITE

  10.2.1

  All portlet URLs (i.e. those the Consumer needs to rewrite) are demarcated in the markup by a token (wsrp_rewrite) both at the start (with a "?" appended to clearly delimit the start of the name/value pairs).

  See Also:
    Constant Field Values

### WSRP_REWRITE_PREFIX_LENGTH

    public static final int WSRP_REWRITE_PREFIX_LENGTH

See Also:
  Constant Field Values

### END_WSRP_REWRITE

    public static final java.lang.String END_WSRP_REWRITE

  10.2.1

  All portlet URLs (i.e. those the Consumer needs to rewrite) are demarcated in the markup by a token (wsrp_rewrite) at the end (proceeded by a "/" to form the end token) of the URL declaration.

  See Also:
    Constant Field Values

### WSRP_REWRITE_SUFFIX_LENGTH

    public static final int WSRP_REWRITE_SUFFIX_LENGTH

See Also:
  Constant Field Values

### URL_TYPE_NAME

    public static final java.lang.String URL_TYPE_NAME

  10.2.1.1 wsrp-urlType

  This parameter MUST be specified first when using the Consumer URL rewriting template and the value selected from the following definitions. Well-known portlet URL parameter names that are valid for only one wsrp-urlType are described relative to that wsrp-urlType while the remainder are described later.

  See Also:
    Constant Field Values

### URL_TYPE_BLOCKING_ACTION

    public static final java.lang.String URL_TYPE_BLOCKING_ACTION

  10.2.1.1.1 wsrp-urlType = blockingAction

  Activation of the URL will result in an invocation of performBlockingInteraction() on the Portlet that generated the markup. All form parameters, submitted as query string parameters using the HTTP GET method, that are not used to encode parameters defined by this specification MUST be passed to performBlockingInteraction() as formParameters.

  See Also:
    Constant Field Values

### URL_TYPE_RENDER

    public static final java.lang.String URL_TYPE_RENDER

  10.2.1.1.2 wsrp-urlType = render

  Activation of the URL will result in an invocation of getMarkup(). This mechanism permits a Portlet"s markup to contain URLs, which do not involve changes to local state, to avoid the overhead of two-step processing by directly invoking getMarkup(). The URL MAY specify a wsrp-navigationalState portlet URL parameter, whose value the Consumer MUST supply in the navigationalState field of the MarkupParams structure. If there is no such portlet URL parameter, the Consumer MUST NOT supply a value for this field.

  See Also:
    Constant Field Values

### URL_TYPE_RESOURCE

    public static final java.lang.String URL_TYPE_RESOURCE

  10.2.1.1.3 wsrp-urlType = resource

  Activation of the URL will result in the Consumer acting as a gateway to the underlying resource, possibly in a cached manner, and returning it to the user-agent. The URL for the resource (including any query string parameters) is encoded as the value of the wsrp-url parameter. When a portlet URL specifies "resource" for the wsrp-urlType portlet URL parameter, both the wsrp-url and wsrp-requiresRewrite portlet URL parameters MUST also be specified. If the Portlet needs to share data with the referenced resource, it can exploit the cookie support defined in section 10.4.

  See Also:
    Constant Field Values

### RESOURCE_URL

    public static final java.lang.String RESOURCE_URL

  10.2.1.1.3.1 wsrp-url

  This parameter provides the actual URL to the resource. Note that this needs to be an absolute URL as the resource fetch will have no base for use in fetching a relative URL. Also note that since this resource URL will appear as a parameter value, it has to be strictly encoded (i.e. "&", "=", "/", and "?" need to be url-escaped) so that special URL characters do not invalidate the processing of the enclosing URL. Consumers are encouraged to use the same communication style (e.g. HTTP Get or Post) for retrieving the resource as was used in requesting the resource by the user-agent.

  See Also:
    Constant Field Values

### RESOURCE_REQUIRES_REWRITE

    public static final java.lang.String RESOURCE_REQUIRES_REWRITE

  10.2.1.1.3.2 wsrp-requiresRewrite

  This boolean informs the Consumer that the resource needs to be parsed for URL rewriting. Normally this means that there are names that will be cross-referenced between the markup and this resource (e.g. JavaScript references). Note that this means the Consumer needs to deal with rewriting unique "namespaced" names in a set of documents, rather than treating each document individually. Processing such resources in a manner that allows caching of the resulting resource by the End-User"s user-agent can improve the performance of the aggregated page for the End-User. In particular, Consumers can process namespace rewriting by using a prefix that is unique to the user/Portlet pair provided any such prefix is held constant for the duration of use within the user"s session with the Consumer of any one Portlet.

  See Also:
    Constant Field Values

### NAVIGATIONAL_STATE

    public static final java.lang.String NAVIGATIONAL_STATE

  10.2.1.2 wsrp-navigationalState

  The value of this portlet URL parameter defines the navigational state the Consumer MUST send to the Producer when the URL is activated. If this parameter is missing, the Consumer MUST NOT supply the navigationalState field of the MarkupParams.

  See Also:
    Constant Field Values

### INTERACTION_STATE

    public static final java.lang.String INTERACTION_STATE

  10.2.1.3 wsrp-interactionState

  The value of this portlet URL parameter defines the interaction state the Consumer MUST send to the Producer when the URL is activated. Tree.If this parameter is missing, the Consumer MUST NOT supply the interactionState field of the InteractionParams structure.

  See Also:
    Constant Field Values

### MODE

    public static final java.lang.String MODE

  10.2.1.4 wsrp-mode

  Activating this URL includes a request to change the mode parameter in MarkupParams into the mode specified as the value for this portlet URL parameter. The value for wsrp-mode MUST be one of the modes detailed in section 6.8 or a custom mode the Consumer specified as supported during registration. The wsrp-mode portlet URL parameter MAY be used whenever the wsrp-urlType portlet URL parameter has a value of "blockingAction" or "render".

  See Also:
    Constant Field Values

### WINDOW_STATE

    public static final java.lang.String WINDOW_STATE

  10.2.1.5 wsrp-windowState

  Activating this URL includes a request to change the windowState parameter in MarkupParams into the window state specified as the value for this portlet URL parameter. The value for wsrp- windowState MUST be one of the values detailed in section 6.9 or a custom window state the Consumer specified as supported during registration. The wsrp-windowState portlet URL parameter MAY be used whenever the wsrp-urlType portlet URL parameter has a value of "blockingAction" or "render".

  See Also:
    Constant Field Values

### FRAGMENT_ID

    public static final java.lang.String FRAGMENT_ID

  10.2.1.6 wsrp-fragmentID

  This portlet URL parameter specifies the portion of an URL that navigates to a place within a document.

  See Also:
    Constant Field Values

### SECURE_URL

    public static final java.lang.String SECURE_URL

  10.2.1.7 wsrp-secureURL

  The value for the wsrp-secureURL is a boolean indicating whether the resulting URL MUST involve secure communication between the client and Consumer, as well as between the Consumer and Producer. The default value of this boolean is "false". Note that the Consumer"s aggregated page MUST be secure if any of the Portlets whose content is being displayed on the page have indicated the need for secure communication for their current markup.

  See Also:
    Constant Field Values

### WSRP_REWRITE_TOKEN

    public static final java.lang.String WSRP_REWRITE_TOKEN

  10.3.1 Consumer Rewriting (Namespace encoding)

  The Portlet can prefix the token with "wsrp_rewrite_". The Consumer will locate such markers and MUST replace them with a prefix that is unique to this instance of this portlet on the page. This prefix has been chosen such that the Consumer is able to do a single parse of the markup to both locate such markers and the URL rewrite expressions described in section 10.2.1. In addition, this prefix is legal for at least the JavaScript and VBScript scripting languages and CSS class names. This permits the independent testing of most generated markup fragments.

  See Also:
    Constant Field Values

### REWRITE_PARAMETER_OPEN

    public static final java.lang.String REWRITE_PARAMETER_OPEN

  Opening token for URL parameters. See 10.2.2.

  See Also:
    Constant Field Values

### REWRITE_PARAMETER_CLOSE

    public static final java.lang.String REWRITE_PARAMETER_CLOSE

  Closing token for URL parameters. See 10.2.2.

  See Also:
    Constant Field Values

### FAKE_RESOURCE_START

    public static final java.lang.String FAKE_RESOURCE_START

See Also:
  Constant Field Values

### FAKE_RESOURCE_REQ_REW

    public static final java.lang.String FAKE_RESOURCE_REQ_REW

See Also:
  Constant Field Values

### FAKE_RESOURCE_URL

    public static final java.lang.String FAKE_RESOURCE_URL

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD